package com.crm.manager.dto.export;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.crm.rely.backend.core.dto.ib.trade.TradeSwapsDto;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName TradeSwapsEntity
 * @Description
 * @Author y
 * @Date 2023/3/21 17:01
 */
@Data
public class TradeSwapsExportDto extends BaseRowModel {

    @ExcelProperty(value = "订单号", index = 0)
    private Long ticket;

    @ExcelProperty(value = "交易账号", index = 1)
    private Long login;

    @ExcelProperty(value = "品种", index = 2)
    private String symbol;

    @ExcelProperty(value = "昨日仓息", index = 3)
    private Float prevSwaps;

    @ExcelProperty(value = "今日仓息", index = 4)
    private Float currentSwaps;

    @ExcelProperty(value = "差值", index = 5)
    private Float difference;

    @ExcelProperty(value = "系数", index = 6)
    private Float ratio;

    @ExcelProperty(value = "系数金额", index = 7)
    private Float amount;

    @ExcelProperty(value = "交易平台", index = 8)
    private String platform;

    @ExcelProperty(value = "处理时间", index = 9, format = "yyyy-MM-dd HH:mm:ss")
    private Date addTime;

    public static TradeSwapsExportDto getInstance() {
        TradeSwapsExportDto dto = new TradeSwapsExportDto();
        dto.setTicket(0L);
        dto.setPrevSwaps(0F);
        dto.setCurrentSwaps(0F);
        dto.setDifference(0F);
        dto.setRatio(0F);
        dto.setAmount(0F);
        dto.setPlatform("");
        dto.setSymbol("");
        return dto;
    }


}
